com.impinj.octane

## Class XArrayConfig

- java.lang.Object
- - com.impinj.octane.XArrayConfig

- Deprecated.

      @Deprecated
      public class XArrayConfig
      extends java.lang.Object

  Deprecated. Please use the SpatialConfig class. Class used to define the configuration for an xArray reader.
  See Also:
    `SpatialConfig`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XArrayConfig()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectionConfig` | `getDirection()` Deprecated.
    `LocationConfig` | `getLocation()` Deprecated.
    `XArrayMode` | `getMode()` Deprecated.
    `PlacementConfig` | `getPlacement()` Deprecated.
    `void` | `setDirection(DirectionConfig direction)` Deprecated.
    `void` | `setLocation(LocationConfig location)` Deprecated.
    `void` | `setMode(XArrayMode mode)` Deprecated.
    `void` | `setPlacement(PlacementConfig placement)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XArrayConfig

          @Deprecated
          public XArrayConfig()

      Deprecated.
      Deprecated. This class will be instantiated on your behalf by the Settings class. Class used to define the configuration for an xArray reader.

  - ### Method Detail

    - #### getMode

          public XArrayMode getMode()

      Deprecated.
      Returns:
        the xArray Mode

    - #### setMode

          public void setMode(XArrayMode mode)

      Deprecated.
      Parameters:
        `mode` - the xArray Mode

    - #### getPlacement

          public PlacementConfig getPlacement()

      Deprecated.
      Returns:
        the xArray placement configuration.

    - #### setPlacement

          public void setPlacement(PlacementConfig placement)

      Deprecated.
      Parameters:
        `placement` - the xArray placement configuration.

    - #### getLocation

          public LocationConfig getLocation()

      Deprecated.
      Returns:
        the xArray location configuration

    - #### setLocation

          public void setLocation(LocationConfig location)

      Deprecated.
      Parameters:
        `location` - the xArray location configuration

    - #### getDirection

          public DirectionConfig getDirection()

      Deprecated.
      Returns:
        the xArray direction configuration object.

    - #### setDirection

          public void setDirection(DirectionConfig direction)

      Deprecated.
      Parameters:
        `direction` - the xArray direction configuration object you want the xArray to use.